Subject: Re: Fwd: Re: [PATCH] net: ipv6: change %8s to %s for rt->dst.dev->name in seq_printf of rt6_info_route

From: Chen Gang <[email-masked]>
Date: Tue, 27 Nov 2012 13:40:53 +0800

>   I think (only for my thought, maybe not correct):
>     for user input through /proc/* are all for os api level, not for "User Experience".
>     for most of outputs to user through /proc/*, are "User Experience".
> 

  and now I think what I said above is incorrect.

and now, I think:
  A) both input and output through /proc/* are for os api level.
  B) but both %8s and %s do not change the output interface format (including contents, topology, separator mark, space redundancy).
  C) so it is belong to 'User Experience', not belong to os api.

  welcome any another members to giving suggestions and completions.

  thanks.

  :-)

-- 
Chen Gang

Asianux Corporation